<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}

{% block pagetitle %}
  {{ title }}
{% endblock pagetitle %}

{% block content %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load i18n %}

{% get_current_language as LANGUAGE_CODE %}

<div class="row">
  <div class="col-md-6">
    <span>
      <span>
        <a href="{% url 'suppliers_sells_month' previous_month %}">&larr; {% trans "Previous" %}</a>
        <span>&nbsp;</span></span>{% if  day.year < now.year or day.month < now.month %}<span><a href="{% url 'suppliers_sells_month' next_month %}">
          {% trans "Next" %} &rarr;
        </a></span>
        {% endif %}

        <span>
          &bull;
          <a target="_blank" href="/{{ LANGUAGE_CODE }}/databasesearch/distributor"> admin </a>
        </span>

    </span>
  </div>

  <h1> {% trans "Distributors" %} - {{ day | date:'F o' | title }}</h1>

  <div class="col-md-6">
    {% if  not distributors_data %}
    <span>
      <b>
        {% trans "Distributors" %}:&nbsp;
      </b>
      <span>
        {% trans "no data" %}
      </span>
    </span>

    {% else %}

    <div id="chart_distributors_data"
         style="display: none"
         data-comment="raw data for the chart.">
      {{ chart_distributors_data }}
    </div>

    <table class="table table-striped">
      <thead>
        <th>{% trans "Distributor" %}</th>
        <th class="text-right">{% trans "Quantity sold" %}</th>
        <th class="text-right" title='{% trans "Prix de vente" %}'>
          {% trans "Total" %}

          <i class="glyphicon glyphicon-question-sign">
          </i>
        </th>
        <th class="text-right">{% trans "Total (public)" %}</th>
      </thead>{% for it in distributors_data %}
      <tr>
        <td><a href="{% url 'distributors_sells_month_list' it.distributor.1 day|date:'Y-m' %}" target="_blank">{{ it.distributor.0 | title }}</a>
        </td>
        <td class="text-right">{{ it.nb_cards_sold }}</td>
        <td class="text-right">{{ it.total_fmt }}</td>
        <td class="text-right">{{ it.total_public_price_fmt }}</td>
      </tr>{% endfor %}
    </table>{% endif %}
  </div>

  <div class="col-md-6">
    <span id="chart"> </span>
  </div>
</div>

<script>
  let s = document.getElementById('chart_distributors_data');
  let data = JSON.parse(s.textContent);
  var chart = c3.generate({
    bindto: '#chart',
    data: {
      type: 'pie',
      columns: data,
    }
  });
</script>

{% endblock content %}
